package com.example.remor.exemplosharedpreferences;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import consumer.UsuarioConsumer;
import pojo.Usuario;
import retrofit2.Call;
import retrofit2.Callback;
import retrofit2.Response;

/**
 * Created by REMOR on 21/09/2017.
 */

public class TelaAtualizar extends Activity {

    private EditText etNome, etLogin, etSenha;
    private Button btCadastrar, btExcluir;
    private Usuario usuario;
    private UsuarioConsumer usuarioConsumer;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_tela_cadastro);
        this.inicializaComponentes();
        this.etNome.setText(this.usuario.getNome());
        this.etLogin.setText(this.usuario.getLogin());
        this.etSenha.setText(this.usuario.getSenha());
        this.btCadastrar.setText("EDITAR");
        this.btCadastrar.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // atribuir pro obj usuario os valores dos edittexts
                usuario.setNome(etNome.getText().toString());
                usuario.setLogin(etLogin.getText().toString());
                usuario.setSenha(etSenha.getText().toString());
                // chamar o metodo putAtualizar do usuarioConsumer
                usuarioConsumer.putAtualizar(usuario).enqueue(new Callback<Usuario>() {
                    @Override
                    public void onResponse(Call<Usuario> call, Response<Usuario> response) {
                        if(response.isSuccessful()) {
                            Intent itTelaLogado = new Intent(TelaAtualizar.this, TelaLogado.class);
                            Bundle parametros = new Bundle();
                            parametros.putSerializable("usuario", usuario);
                            itTelaLogado.putExtras(parametros);
                            startActivity(itTelaLogado);
                            finish();
                        }
                    }

                    @Override
                    public void onFailure(Call<Usuario> call, Throwable t) {

                    }
                });



            }
        });


    }

    private void inicializaComponentes() {
        this.etNome = (EditText)findViewById(R.id.et_nome_c);
        this.etLogin = (EditText)findViewById(R.id.et_login_c);
        this.etSenha = (EditText)findViewById(R.id.et_senha_c);
        this.btCadastrar = (Button)findViewById(R.id.bt_cadastrar_c);
        this.usuario = (Usuario)getIntent().getExtras().getSerializable("usuario");
        switch(getIntent().getStringExtra("acao")) {
            case "editar":
                this.btExcluir = (Button)findViewById(R.id.bt_excluir);
                this.btExcluir.setVisibility(View.VISIBLE);
                this.btExcluir.setOnClickListener(new View.OnClickListener() {
                    @Override
                    public void onClick(View v) {
                        usuarioConsumer.deletePorId(usuario.getId()).enqueue(new Callback<Void>() {
                            @Override
                            public void onResponse(Call<Void> call, Response<Void> response) {
                                if(response.isSuccessful()) {
                                    Toast.makeText(TelaAtualizar.this, "Usuário excluído com sucesso!", Toast.LENGTH_LONG).show();
                                }
                            }

                            @Override
                            public void onFailure(Call<Void> call, Throwable t) {

                            }
                        });
                    }
                });
                break;

        }
        this.usuarioConsumer = new UsuarioConsumer();
    }


}
