package com.example.remor.exemplosharedpreferences;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import consumer.UsuarioConsumer;
import pojo.Usuario;
import retrofit2.Call;
import retrofit2.Callback;
import retrofit2.Response;

/**
 * Created by REMOR on 14/09/2017.
 */

public class TelaCadastro extends Activity {


    private EditText etNome, etLogin, etSenha;
    private Button btCadastrar;
    private Usuario usuario;
    private UsuarioConsumer usuarioConsumer;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_tela_cadastro);
        this.inicializaComponentes();
        this.btCadastrar.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // PEGAR VALORES DOS EDITTEXT E ADICIONAR EM UM OBJ USUARIO
                usuario.setNome(etNome.getText().toString());
                usuario.setLogin(etLogin.getText().toString());
                usuario.setSenha(etSenha.getText().toString());

                // CHAMAR O METODO POSTCADASTRAR DO USUARIOCONSUMER
                usuarioConsumer.postCadastrar(usuario).enqueue(new Callback<Usuario>() {
                    @Override
                    public void onResponse(Call<Usuario> call, Response<Usuario> response) {
                        if(response.isSuccessful()) {
                            usuario = response.body();
                            Intent itTelaLogado = new Intent(TelaCadastro.this, TelaLogado.class);
                            Bundle parametro = new Bundle();
                            parametro.putSerializable("usuario", usuario);
                            itTelaLogado.putExtras(parametro);
                            startActivity(itTelaLogado);
                            finish();
                        }

                    }

                    @Override
                    public void onFailure(Call<Usuario> call, Throwable t) {
                        Toast.makeText(TelaCadastro.this, "Fala Comunicação", Toast.LENGTH_SHORT).show();
                    }
                });
            }
        });
    }

    private void inicializaComponentes() {
        this.etNome = (EditText)findViewById(R.id.et_nome_c);
        this.etLogin = (EditText)findViewById(R.id.et_login_c);
        this.etSenha = (EditText)findViewById(R.id.et_senha_c);
        this.btCadastrar = (Button)findViewById(R.id.bt_cadastrar_c);
        this.usuario = new Usuario();
        this.usuarioConsumer = new UsuarioConsumer();
    }






}
