package com.example.remor.exemplosharedpreferences;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import java.util.List;

import consumer.UsuarioConsumer;
import pojo.Usuario;
import retrofit2.Call;
import retrofit2.Callback;
import retrofit2.Response;

/**
 * Created by REMOR on 05/10/2017.
 */

public class TelaListarTodos extends ListActivity {

    private List<Usuario> listaUsuarios;
    private UsuarioConsumer usuarioConsumer;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.usuarioConsumer = new UsuarioConsumer();
        usuarioConsumer.buscarTodos().enqueue(new Callback<List<Usuario>>() {
            @Override
            public void onResponse(Call<List<Usuario>> call, Response<List<Usuario>> response) {

                if(response.isSuccessful()) {
                    listaUsuarios = response.body();
                    ArrayAdapter<Usuario> adapter = new ArrayAdapter<Usuario>(TelaListarTodos.this,android.R.layout.simple_list_item_1,listaUsuarios);
                    setListAdapter(adapter);
                }


            }

            @Override
            public void onFailure(Call<List<Usuario>> call, Throwable t) {

            }
        });
    }

    @Override
    protected void onListItemClick(ListView l, View v, int position, long id) {
        super.onListItemClick(l, v, position, id);

        Intent itTelaExcluir = new Intent(this,TelaAtualizar.class);
        Bundle parametro = new Bundle();
        parametro.putSerializable("usuario",listaUsuarios.get(position));
        itTelaExcluir.putExtras(parametro);
        itTelaExcluir.putExtra("acao", "editar");
        startActivity(itTelaExcluir);







    }
}
